<?php
require_once 'Doctrine/Common/ClassLoader.php';
include "./entity/Article.php";
include "./entity/Category.php";
include "./entity/Tag.php";

$loader = new Doctrine\Common\ClassLoader('Doctrine');
$loader->register();

$config = new Doctrine\ORM\Configuration;
$config->setSQLLogger(new Doctrine\DBAL\Logging\EchoSQLLogger);
$config->setMetadataDriverImpl($config->newDefaultAnnotationDriver('entity'));
$config->setProxyDir('proxy');
$config->setProxyNamespace('Proxies');
$database = array(
	'driver' => 'pdo_mysql',
	'host' => 'localhost',
	'user' => 'ODBC',
	'password' => '',
	'dbname' => 'doctrine',
);
$em = Doctrine\ORM\EntityManager::create($database, $config);
